Name:           python-keyczar
Version:        0.71c
Release:        %mkrel 7
Summary:        Toolkit for safe and simple cryptography

Group:          Development/Python
License:        ASL 2.0
URL:            http://www.keyczar.org/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pycrypto)
BuildRequires:  pythonegg(2)(pyasn1)


%description
Keyczar is an open source cryptographic toolkit designed to make it easier and
safer for developers to use cryptography in their applications. Keyczar
supports authentication and encryption with both symmetric and asymmetric keys.


%prep
%setup -q
rm -rf python_keyczar.egg-info

%build
%py2_build

%check
cd tests/keyczar_tests
PYTHONPATH=$PYTHONPATH:../../src/ ./alltests.py

%install
%py2_install

rm -rf %{buildroot}%{_bindir}/keyczart

%files
%doc README LICENSE doc/pycrypt.pdf
%{python2_sitelib}/keyczar/
%{python2_sitelib}/python_keyczar-*.egg-info


%changelog
* Tue Feb 02 2016 daviddavid <daviddavid> 0.71c-7.mga6
+ Revision: 931519
- use new python macros

* Tue Feb 02 2016 umeabot <umeabot> 0.71c-6.mga6
+ Revision: 930932
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.71c-5.mga5
+ Revision: 750795
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.71c-4.mga5
+ Revision: 728927
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.71c-3.mga5
+ Revision: 688108
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Nov 11 2013 philippem <philippem> 0.71c-1.mga4
+ Revision: 550494
- imported package python-keyczar

